Subject: RE: [rohc] AD evaluation of draft-ietf-rohc-sigcomp-impl-guide-08

From: "Surtees, Abigail" <[email-masked]>
Date: Tue, 5 Dec 2006 11:47:11 -0000

Hi Magnus,
> 
> 1. The fact that this document updates RFC 3320, RFC 3321 and 
> RFC3485 needs to be included in both abstract and 
> introduction. In addition it would be good if the first page 
> header included: "Updates (if approved): 
> RFC 3320, RFC 3321, RFC 3485"
> 
OK.

> 2. Section 9.2: "200OK" I think should be changed to "200 OK" 
> for better readability. In addition I think there is a need 
> to explain that the 200 OK and INVITE talked about in the 
> text is SIP request and responses.
> 
OK.  Can these both be fixed in auth48?

> 3. This doesn't need to go into the document. But I need an 
> answer to the question: Why didn't the ROHC WG update the 
> three RFCs themselves rather then publishing a implementators guide?
> 
Good question.  We started collecting corrections and clarifications,
which got put into an 'implementer's guide', which there seemed to be
some consensus for publishing.  There was some talk of a SigComp DS
quite a while ago, but nothing recently and no discussion of updating
anything other than RFC3320.  

Lars-Erik, can you shed any light on this?

Best regards,

Abbie

> Cheers
> 
> Magnus Westerlund
> 
> IETF Transport Area Director & TSVWG Chair
> ----------------------------------------------------------------------
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
> ----------------------------------------------------------------------
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 05 Dec 2006 13:28:53 +0100

> OK.  Can these both be fixed in auth48?

No, please submit an updated version. Otherwise it will result in 
comments from other reviewers. We don't need to waste their time on 
things we do know are needed.

So please resubmit an updated version as soon as possible.

Cheers

Magnus Westerlund

---

From: "Lars-Erik Jonsson" <[email-masked]>
Date: Tue, 5 Dec 2006 17:14:39 +0100

> Lars-Erik, can you shed any light on this?

I'll try!

When we started the work to collect the substance that now constitutes
the impl-guide, we did not have a clear plan with the document. I fully
agree with Magnus that updating the RFCs would be preferable, but
then we would have to get that work done, and I am not too optimistic
about the possibilities to get commitments to do that work. And in any
case, getting this document out *now* is still desirable, and does not
necessarily reduce the possibilities to get the other RFCs updated.

If someone asks this question, I would say that I am convinced getting
this document out as an RFC is for sure much better than nothing. If
we can then get people to go further and work on updating RFC 3320
etc, that would be great!

/L-E